<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\external;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\external\ExternalPlatformGoodsLists;
use app\adminapi\logic\external\ExternalPlatformGoodsLogic;
use app\adminapi\validate\external\ExternalPlatformGoodsValidate;


/**
 * ExternalPlatformGoods控制器
 * Class ExternalPlatformGoodsController
 * @package app\adminapi\controller
 */
class ExternalPlatformGoodsController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/21 19:09
     */
    public function lists()
    {
        return $this->dataLists(new ExternalPlatformGoodsLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/21 19:09
     */
    public function add()
    {
        $params = (new ExternalPlatformGoodsValidate())->post()->goCheck('add');
        $result = ExternalPlatformGoodsLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(ExternalPlatformGoodsLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/21 19:09
     */
    public function edit()
    {
        $params = (new ExternalPlatformGoodsValidate())->post()->goCheck('edit');
        $result = ExternalPlatformGoodsLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(ExternalPlatformGoodsLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/21 19:09
     */
    public function delete()
    {
        $params = (new ExternalPlatformGoodsValidate())->post()->goCheck('delete');
        ExternalPlatformGoodsLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/21 19:09
     */
    public function detail()
    {
        $params = (new ExternalPlatformGoodsValidate())->goCheck('detail');
        $result = ExternalPlatformGoodsLogic::detail($params);
        return $this->data($result);
    }


    public function goodsImport()
    {
        $params = $this->request->post();
        $result = ExternalPlatformGoodsLogic::goodsImport($params);
        if (true === $result) {
            return $this->success('导入成功', [], 1, 1);
        }
        return $this->fail(ExternalPlatformGoodsLogic::getError());
    }
}